# Retrieve terms and conditions.

Use this endpoint to retrieve the terms and conditions for a specific car during the pre-booking process. The response includes structured content in the requested language.

Endpoint: POST /cars/terms-and-conditions
Version: 3.2-Beta
Security: BearerAuth

## Header parameters:

  - `X-Affiliate-Id` (integer, required)
    Include here your Affiliate identifier number

## Request fields (application/json):

  - `offer` (integer, required)
    This ID identifies the car rental offer and its associated policies. Include it when calling the /cars/availability endpoint.

  - `currency` (string, required)
    The currency in ISO 4217 format (e.g., USD, EUR, GBP)
    Example: "USD"

  - `language` (string)
    The language code (ISO 639-1 format) in which to return the terms and conditions.

  - `search_token` (string, required)
    The pre-booking search_token used to fetch terms and conditions for a specific car rental offer. The search_token is returned by the search endpoint.

## Response 200 fields (application/json):

  - `data` (object)
    Terms and conditions content translated in the requested language, if specified.

  - `data.key_info` (object)
    High-level information about the car rental.

  - `data.key_info.common` (object)

  - `data.key_info.common.credit_cards_allowed` (boolean)
    Indicates whether the supplier accepts credit cards for the car rental deposit.

  - `data.key_info.common.debit_cards_allowed` (boolean)
    Indicates whether the supplier accepts debit cards for the car rental deposit.

  - `data.key_info.common.driver_age` (integer)
    This is the driver age included in the car rental search request.

  - `data.key_info.common.insurance_available` (boolean)
    Indicates whether insurance is available for the rental.

  - `data.key_info.common.rental_duration` (integer)
    The duration of the rental in days.

  - `data.key_info.damage_excess` (object)
    The damage excess section.

  - `data.key_info.damage_excess.content` (array)
    The content of the damage excess section.

  - `data.key_info.damage_excess.excess_value` (string)
    The value of the damage excess.

  - `data.key_info.damage_excess.subtitle` (string)
    The subtitle of the damage excess section.

  - `data.key_info.damage_excess.title` (string)
    The title of the damage excess section.

  - `data.key_info.deposit` (object)
    General information about the deposit.

  - `data.key_info.deposit.accepted_cards` (array)
    The accepted cards for the deposit.

  - `data.key_info.deposit.accepted_cards.title` (string)
    The title of the card.

  - `data.key_info.deposit.accepted_cards.type` (string)
    The type of card.

  - `data.key_info.deposit.accepted_cards_title` (string)
    The title of the accepted cards section.

  - `data.key_info.deposit.content` (array)
    The content of the deposit section.

  - `data.key_info.deposit.subtitle` (string)
    The subtitle of the deposit section.

  - `data.key_info.deposit.title` (string)
    The title of the deposit section.

  - `data.key_info.disclaimers` (array)
    The disclaimers section.

  - `data.key_info.driver_and_license` (object)
    The driver and license section.

  - `data.key_info.driver_and_license.needed_items` (array)
    What you need in order to rent a car.

  - `data.key_info.driver_and_license.title` (string)
    The title of the driver and license section.

  - `data.key_info.driver_and_license.top_text` (string)
    The top text of the driver and license section.

  - `data.key_info.mileage` (object)
    The mileage section.

  - `data.key_info.mileage.content` (string)
    The content of the mileage section.

  - `data.key_info.mileage.subtitle` (string)
    The subtitle of the mileage section.

  - `data.key_info.mileage.title` (string)
    The title of the mileage section.

  - `data.terms` (array,null)
    The terms and conditions section.

  - `data.terms.title` (string)
    Title of the chapter.

  - `data.terms.type` (string)
    Identifies this element as a chapter.
    Enum: "chapter"

  - `data.terms.children` (array)
    List of sections contained within this chapter.

  - `data.terms.children.title` (string)
    Title of the section.

  - `data.terms.children.type` (string)
    Identifies this element as a section.
    Enum: "section"

  - `data.terms.children.children` (array)
    List of clauses contained within this section.

  - `data.terms.children.children.title` (string)
    Title of the clause.

  - `data.terms.children.children.type` (string)
    Identifies this element as a clause.
    Enum: "clause"

  - `data.terms.children.children.children` (array)
    List of sub-clauses contained within this clause.

  - `data.terms.children.children.children.type` (string)
    Identifies this element as a sub-clause.
    Enum: "sub_clause"

  - `data.terms.children.children.children.children` (array)
    List of clause options contained within this sub-clause.

  - `data.terms.children.children.children.children.text` (string)
    Text content of the clause option with safe HTML formatting tags (e.g., `, , ) and entities (e.g., &euro;, &ndash;`)

  - `data.terms.children.children.children.children.type` (string)
    Identifies this element as a clause option.
    Enum: "clause_option"

  - `request_id` (string)
    Uniquely identifies the request. Please provide this identifier when contacting support.

## Response 400 fields (application/json):

  - `request_id` (string, required)
    Uniquely identifies the request. Please provide this identifier when contacting support.

  - `errors` (array, required)

  - `errors.id` (string, required)

  - `errors.message` (string, required)

## Response 500 fields (application/json):

  - `request_id` (string, required)
    Uniquely identifies the request. Please provide this identifier when contacting support.

  - `errors` (array, required)

  - `errors.id` (string, required)

  - `errors.message` (string, required)


